# This file was auto-generated by Fern from our API Definition.

from ..core.unchecked_base_model import UncheckedBaseModel
from .evaluated_version_response import EvaluatedVersionResponse
import pydantic
from .datapoint_response import DatapointResponse
import typing
from .log_response import LogResponse
from ..core.pydantic_utilities import IS_PYDANTIC_V2


class EvaluationReportLogResponse(UncheckedBaseModel):
    evaluated_version: EvaluatedVersionResponse = pydantic.Field()
    """
    The version of the Prompt, Tool or Evaluator that the Log belongs to.
    """

    datapoint: DatapointResponse = pydantic.Field()
    """
    The Datapoint used to generate the Log
    """

    log: typing.Optional[LogResponse] = pydantic.Field(default=None)
    """
    The Log that was evaluated by the Evaluator.
    """

    evaluator_logs: typing.List[LogResponse] = pydantic.Field()
    """
    The Evaluator Logs containing the judgments for the Log.
    """

    if IS_PYDANTIC_V2:
        model_config: typing.ClassVar[pydantic.ConfigDict] = pydantic.ConfigDict(extra="allow", frozen=True)  # type: ignore # Pydantic v2
    else:

        class Config:
            frozen = True
            smart_union = True
            extra = pydantic.Extra.allow
