# This file was auto-generated by Fern from our API Definition.

from __future__ import annotations
from ..core.unchecked_base_model import UncheckedBaseModel
import pydantic
from .environment_response import EnvironmentResponse
import typing
from ..core.pydantic_utilities import IS_PYDANTIC_V2
from ..core.pydantic_utilities import update_forward_refs


class VersionDeploymentResponse(UncheckedBaseModel):
    """
    A variable reference to the Version deployed to an Environment
    """

    file: "VersionDeploymentResponseFile" = pydantic.Field()
    """
    The File that the deployed Version belongs to.
    """

    environment: EnvironmentResponse = pydantic.Field()
    """
    The Environment that the Version is deployed to.
    """

    type: typing.Literal["environment"] = "environment"

    if IS_PYDANTIC_V2:
        model_config: typing.ClassVar[pydantic.ConfigDict] = pydantic.ConfigDict(extra="allow", frozen=True)  # type: ignore # Pydantic v2
    else:

        class Config:
            frozen = True
            smart_union = True
            extra = pydantic.Extra.allow


from .version_deployment_response_file import VersionDeploymentResponseFile  # noqa: E402

update_forward_refs(VersionDeploymentResponse)
